---
title: Datasets Tags documentation
---

<h1 class="no-top-margin">Datasets Tags documentation</h1>


## Tasks

- `conditional-text-generation`: data-to-text and text transduction tasks such as translation or summarization
	- [`machine-translation`](/datasets?filter=task_ids:machine-translation)
	- [`sentence-splitting-fusion`](/datasets?filter=task_ids:sentence-splitting-fusion)
	- [`summarization`](/datasets?filter=task_ids:summarization)
	- [`table-to-text`](/datasets?filter=task_ids:table-to-text)
	- [`text-simplification`](/datasets?filter=task_ids:text-simplification)
	- [`explanation-generation`](/datasets?filter=task_ids:explanation-generation)
	- [`other-stuctured-to-text`](/datasets?filter=task_ids:other-stuctured-to-text)
	- [`other`](/datasets?filter=task_ids:other)
- `question-answering`: question answering tasks
	- [`open-domain-qa`](/datasets?filter=task_ids:open-domain)
	- [`closed-domain-qa`](/datasets?filter=task_ids:closed-domain)
	- [`multiple-choice-qa`](/datasets?filter=task_ids:multiple-choice)
	- [`extractive-qa`](/datasets?filter=task_ids:extractive-qa)
	- [`abstractive-qa`](/datasets?filter=task_ids:abstractive-qa)
	- [`other`](/datasets?filter=task_ids:other)
- `sequence-modeling`: such as language modeling or dialogue
	- [`dialogue-modeling`](/datasets?filter=task_ids:dialogue-modeling)
	- [`language-modeling`](/datasets?filter=task_ids:language-modeling)
	- [`other-multi-turn`](/datasets?filter=task_ids:other-multi-turn)
	- [`slot-filling`](/datasets?filter=task_ids:slot-filling)
	- [`other`](/datasets?filter=task_ids:other)
- `structure-prediction`: predicting structural properties of the text, such as syntax
	- [`coreference-resolution`](/datasets?filter=task_ids:coreference-resolution)
	- [`named-entity-recognition`](/datasets?filter=task_ids:named-entity-recognition)
	- [`part-of-speech-tagging`](/datasets?filter=task_ids:part-of-speech-tagging)
	- [`parsing`](/datasets?filter=task_ids:parsing)
	- [`other`](/datasets?filter=task_ids:other)
- `text-classification`: predicting a class index or boolean value
	- [`acceptability-classification`](/datasets?filter=task_ids:acceptability-classification)
	- [`entity-linking-classification`](/datasets?filter=task_ids:entity-linking-classification)
	- [`fact-checking`](/datasets?filter=task_ids:fact-checking)
	- [`intent-classification`](/datasets?filter=task_ids:intent-classification)
	- [`multi-class-classification`](/datasets?filter=task_ids:multi-class-classification)
	- [`multi-label-classification`](/datasets?filter=task_ids:multi-label-classification)
	- [`natural-language-inference`](/datasets?filter=task_ids:natural-language-inference)
	- [`semantic-similarity-classification`](/datasets?filter=task_ids:semantic-similarity-classification)
	- [`sentiment-classification`](/datasets?filter=task_ids:sentiment-classification)
	- [`topic-classification`](/datasets?filter=task_ids:topic-classification)
	- [`other`](/datasets?filter=task_ids:other)
- `text-retrieval`: information or text retrieval tasks
	- [`document-retrieval`](/datasets?filter=task_ids:document-retrieval)
	- [`utterance-retrieval`](/datasets?filter=task_ids:utterance-retrieval)
	- [`entity-linking-retrieval`](/datasets?filter=task_ids:entity-linking-retrieval)
	- [`fact-checking-retrieval`](/datasets?filter=task_ids:fact-checking-retrieval)
	- [`other`](/datasets?filter=task_ids:other)
- `text-scoring`: text scoring tasks, predicting a real valued score for some text
	- [`semantic-similarity-scoring`](/datasets?filter=task_ids:semantic-similarity-scoring)
	- [`sentiment-scoring`](/datasets?filter=task_ids:sentiment-scoring)
	- [`other`](/datasets?filter=task_ids:other)
- `other`: other task family not mentioned here
	- [`other`](/datasets?filter=task_ids:other)
